Subject: Re: [PATCH] net: dsa: allow XAUI phy interface mode

From: Andrew Lunn <[email-masked]>
Date: Fri, 8 Dec 2017 17:26:43 +0100

On Fri, Dec 08, 2017 at 04:04:59PM +0000, Russell King wrote:
> XGMII is a 32-bit bus plus two clock signals per direction.  XAUI is
> four serial lanes per direction.  The 88e6190 supports XAUI but not
> XGMII as it doesn't have enough pins.  The same is true of 88e6176.
> 
> Match on PHY_INTERFACE_MODE_XAUI for the XAUI port type, but keep
> accepting XGMII for backwards compatibility.

Hi Russell

The backwards compatibility is for the ZII devel C, the DSA link
between the two switches? I don't think there are any other boards
using this.

I will ask around, but i don't think we need to worry about backwards
compatibility. There is no region of flash set aside for the DT blob,
etc. I always TFTP boot using the one from the kernel, etc.

  Andrew